# SPDX-License-Identifier: MIT
%global project_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(t)}-%{version}

%global source_version 2.200
%global source_release 8
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Dai Banna SIL
%global fonts_summary            Dai Banna SIL, a font family for rendering New Tai Lue (Xishuangbanna Dai)
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 65-%{fonts_name}.xml
%global fonts_description        %{expand:
Dai Banna includes a complete set of New Tai Lue (Xishuangbanna Dai)
consonants, vowels, tones, and digits, along with punctuation and other useful
symbols. A basic set of Latin glyphs, including Arabic numerals, is also
provided.

The New Tai Lue script is used by approximately 300 000 people who speak the
Xishuangbanna Dai language in Yunnan, China.  It is a simplification of the Tai
Tham (Old Tai Lue) script as used for this language for hundreds of years.

The Dai News Department of Xishuangbanna Daily provided valuable advice during
the development of this font family. Xishuangbanna Daily, established in 1957,
is the largest newspaper company in Yunnan, China that publishes in the New Tai
Lue script.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     doc/*.pdf doc/*.txt

%auto_init
%auto_pkg

%sourcelist
https://software.sil.org/downloads/r/%{project_name}/%{archive_name}.zip
65-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -n dai-banna-%{version}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt doc/*.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.200-5
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.200-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.200-1
✅ Initial packaging
